# gdcmMacro.h File Reference

Go to the source code of this file.

## Defines
#define | GDCM_LEGACY(method) method;
#define | GDCM_LEGACY_BODY(method, version) gdcmWarningMacro(#method " was deprecated for " version " and will be removed in a future version.")
#define | GDCM_LEGACY_REPLACED_BODY(method, version, replace) gdcmWarningMacro(#method " was deprecated for " version " and will be removed in a future version. Use " #replace " instead.")

## Define Documentation

#define GDCM_LEGACY | ( | method |  | ) | method;

#define GDCM_LEGACY_BODY | ( | method,
|  | version |  | ) | gdcmWarningMacro(#method " was deprecated for " version " and will be removed in a future version.")

#define GDCM_LEGACY_REPLACED_BODY | ( | method,
|  | version,
|  | replace |  | ) | gdcmWarningMacro(#method " was deprecated for " version " and will be removed in a future version. Use " #replace " instead.")